package com.kmall.admin.dao.mk.store;

import com.kmall.admin.entity.mk.store.MkStoreCampMinusGoodsEntity;
import com.kmall.manager.dao.BaseDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 门店满减活动商品，参与满减活动的商品Dao
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-05-29 14:43:29
 */
public interface MkStoreCampMinusGoodsDao extends BaseDao<MkStoreCampMinusGoodsEntity> {

    List<MkStoreCampMinusGoodsEntity> queryCampMinusGoodsByIdList(Map<String, Object> map);

    int queryCampMinusGoodsByIdTotal(Map<String, Object> map);

    MkStoreCampMinusGoodsEntity queryCampMinusStoreTopicById(@Param("minusGoodId") Integer minusGoodId);

    void deleteMinusGoodsByMinusId(@Param("campMinusId") Integer campMinusId);
}
